#coding:utf-8

from django.contrib import admin
from todo.models import Type, ParentType

class ParentTypeAdmin(admin.ModelAdmin):
    list_display = ('id', 'name')


class TypeAdmin(admin.ModelAdmin):
    list_display = ('name', 'parent', 'base', 'value', 'type')
    ordering = ['parent']
    search_fields = ('name', 'parent__name',)

admin.site.register(ParentType, ParentTypeAdmin)
admin.site.register(Type, TypeAdmin)
